<?php

App::uses('AppHelper', 'View/Helper');

class SignupsHelper extends AppHelper {

	/**
	 * load the extras into the form
	 *
	 * @return string
	 */
	public function loadExtras() {
		$extras = Configure::read('EvNewsletterSignups.extraFields');
		$output = '';

		foreach ($extras as $field => $attr) {

			$output .= $this->_View->Form->addField('Newsletter.Signup.' . $field, $attr);
		}

		return $output;
	}

}
